﻿using System.Diagnostics;

namespace MakeWindowFullscreen
{
    class ProcessViewModel
    {
        public int ProcessId { get; private set; }

        public string ProcessName { get; private set; }

        public string ExecutablePath { get; private set; }

        public ProcessViewModel(Process process)
        {
            this.ProcessId = process.Id;
            this.ProcessName = process.ProcessName;
            this.ExecutablePath = process.GetImageName();
        }
    }
}
